flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jmcl...@apache.org
Subject [2/2] git commit: [flex-sdk] [refs/heads/develop] - added support for Flash Player 13 beta
Date Mon, 03 Feb 2014 07:23:52 GMT
added support for Flash Player 13 beta


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/2a577c3e
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/2a577c3e
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/2a577c3e

Branch: refs/heads/develop
Commit: 2a577c3e316c40924e33bebd8ea03df03b0a4019
Parents: 53332bd
Author: Justin Mclean <jmclean@apache.org>
Authored: Mon Feb 3 18:16:59 2014 +1100
Committer: Justin Mclean <jmclean@apache.org>
Committed: Mon Feb 3 18:16:59 2014 +1100

----------------------------------------------------------------------
 ide/setFlashPlayerVersion.sh | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/2a577c3e/ide/setFlashPlayerVersion.sh
----------------------------------------------------------------------
diff --git a/ide/setFlashPlayerVersion.sh b/ide/setFlashPlayerVersion.sh
index d52a02e..897214b 100755
--- a/ide/setFlashPlayerVersion.sh
+++ b/ide/setFlashPlayerVersion.sh
@@ -127,9 +127,9 @@ if [[ "${FLASH_VERSION}" != "10.2" && "${FLASH_VERSION}" != "10.3"
 && "${FLASH_
   && "${FLASH_VERSION}" != "11.1" && "${FLASH_VERSION}" != "11.2" &&
"${FLASH_VERSION}" != "11.3"
   && "${FLASH_VERSION}" != "11.4" && "${FLASH_VERSION}" != "11.5" &&
"${FLASH_VERSION}" != "11.6"
   && "${FLASH_VERSION}" != "11.7" && "${FLASH_VERSION}" != "11.8" &&
"${FLASH_VERSION}" != "11.9"
-  && "${FLASH_VERSION}" != "12.0" ]]
+  && "${FLASH_VERSION}" != "12.0" && "${FLASH_VERSION}" != "13.0" ]]
 then
-	echo Unknown version ${FLASH_VERSION} of Flash Player. Versions 10.2, 10.3, 11.0, 11.1,
11.2, 11.3, 11.4, 11.5, 11.6, 11.7, 11.8, 11.9 and 12.0 are supported.
+	echo Unknown version ${FLASH_VERSION} of Flash Player. Versions 10.2, 10.3, 11.0, 11.1,
11.2, 11.3, 11.4, 11.5, 11.6, 11.7, 11.8, 11.9, 12.0 and 13.0 beta are supported.
 	exit 1;
 fi
 
@@ -150,6 +150,11 @@ then
 	echo Installing AIR
 	echo
 	
+	if [[ $FLASH_VERSION = "13.0" ]]
+    then
+        ./addAIRtoSDK.sh 4.0 "$IDE_SDK_DIR"
+    fi
+	
     if [[ $FLASH_VERSION = "12.0" ]]
     then
         ./addAIRtoSDK.sh 4.0 "$IDE_SDK_DIR"
@@ -212,7 +217,12 @@ do
 	echo Updating ${configFile}
 	
 	updatePlayerVersion "${FLASH_VERSION}" "${configFile}"
-	
+
+	if [ ${FLASH_VERSION} = "13.0" ]
+	then
+		updateSWFVersion 23 "${configFile}"
+	fi
+		
 	if [ ${FLASH_VERSION} = "12.0" ]
 	then
 		updateSWFVersion 23 "${configFile}"


Mime
View raw message